
function Gckuname(rd,zhi,k)
{
    str=$("#txtQ"+zhi).val();
   
	if(parseInt(str)<=0)
	{
	  alert("输入不正确！");
	  document.getElementById("txtQ"+zhi).value=1;
	  str=1;
	//return false;
	}
	else
	{
	if(parseInt(str)>parseInt(k))
	{
	alert("库存不足！");
	document.getElementById("txtQ"+zhi).value=1;
	str=1;
	//return false;
	}
	}
	$.ajax({
	　　　　type:"GET",
	　　　　url:"updatesl.aspx",
	　　　　data:'rid='+rd+'&sl='+str+'&num='+Math.round(Math.random()*10000),
			error:function(){alert("输入不正确，请重新输入！");},
	　　　　success:function(comments_data1){
	　　　　
			if(comments_data1=="err"){
				alert("输入错误！请重新输入!");
		 	    return false;
			}
			else
		    {
			if(comments_data1.split("|")[0]=="no")
			{
			    var str=comments_data1.split("|")[1];
				 document.getElementById("txtQ"+zhi).value=str;
			    alert("此商品的最低购买数量是"+str+"");
		 	    return false;
			}
			else
			{
			 $("#hj").html(comments_data1.split("|")[0]);
			 // $("#zl").html(comments_data1.split("|")[1]);
			  // $("#sl").html(comments_data1.split("|")[2]);
			  //  $("#jf").html(comments_data1.split("|")[3]);
				 $("#nprice"+zhi).html(comments_data1.split("|")[0]);
				   $("#zje").html(comments_data1.split("|")[5]);
				//alert("数量修改成功!");
				}
			}
	　　}
	});
}
